%{
/* Rename the lex/yacc symbols to support multiple parsers */
#include "bf_rename.h"
#include "bf_internal.h"

#include <stdio.h>
#include "bf_grammar.h"

/*
 * Get the next line of input from the C# pre-processor.
 */
#define	YY_INPUT(buf,result,maxSize)	\
	{ \
		result = CCPluginInput((buf), (maxSize)); \
	}

#define	RETURNTOK(x)		return (x)

%}

%option outfile="lex.yy.c"
%option prefix="bf_"
%option noyywrap
%option nounput
%%

"["					{ RETURNTOK(LOOP_START); }
"]"					{ RETURNTOK(LOOP_END); }
","					{ RETURNTOK(READ); }
"."					{ RETURNTOK(WRITE); }
"<"					{ RETURNTOK(PREV); }
">"					{ RETURNTOK(NEXT); }
"+"					{ RETURNTOK(PLUS); }
"-"					{ RETURNTOK(MINUS); }

\n					;

.					;

%%
